package org.framework.lazy.cloud.network.heartbeat.protocol.route;

import lombok.Data;


/**
 * 代理路由信息
 */
@Data
public class ClientProxyRoute implements ProxyRoute{

    /**
     *
     * 目标客户端ID
     */
    private String targetClientId;

    /**
     *
     * 虚拟IP
     */
    private String virtualIp;
    /**
     * 虚拟端口
     */
    private String virtualPort;

    /**
     *
     * 路由IP
     */
    private String targetIp;
    /**
     * 允许代理的端口
     */
    private String targetPort;

    /**
     * 路由类型
     */
    private RouteType routeType;
}
